Subject: RE: [Sip] CANCEL FAQs

From: Kedar Patil <[email-masked]>
Date: Wed, 17 Jul 2002 12:11:22 -0500

Hi,
 
(1) RFC 3261, section 9.1 :
 
=================================================================
   A CANCEL request SHOULD NOT be sent to cancel a request other than
   INVITE.
==========================================================
 
and 
 
=================================================================
If no provisional response has been received, the CANCEL request MUST
NOT be sent; rather, the client MUST wait for the arrival of a
provisional response before sending the request. 
=================================================================
 
Practically, even if you send CANCEL to BYE, 3 possibilities exist -
 
 - if it reaches before BYE, it will be rejected with 481.
 - if it reaches after BYE, UAS will process BYE first, i.e. it will send
final resp. to BYE first,
   then process CANCEL, which will rejected with 481.
 - if CANCEL to BYE is received by a stateful proxy server, it is a race
condition. ( I guess it
   can be so even with CANCEL to INVITE via a stateful proxy, is it?).
 
(2) Any UA that initiates a request is a UAC.
Now if called UA initiates INVITE (actually re-INVITE), then it should be
able to CANCEL it too.
 
thanks,
= Kedar =

-----Original Message-----
From: Sp.Raja [mailto:[email-masked]]
Sent: Tuesday, July 16, 2002 5:26 AM
To: [email-masked]
Subject: [Sip] CANCEL FAQs

Please help me out by answering these questions.
 
1. Can CANCEL be used to cancel a bye ? 
 
2. Can CANCEL be send by the called entity (UAS) ? If yes then under what
circumstances
 
- Sp.Raja